const mongoose = require("mongoose");
const AirAmbulance = require("../../model/AirAmbulance");

const createReview = async (req, res) => {
  const { userId, rating, review } = req.body;
  console.log(req.body)
  const airambulanceId = req.params.id;
  console.log(req.params)
  console.log(airambulanceId)
  try {
    const airambulance = await AirAmbulance.findById(airambulanceId);
    if (!airambulance) {
      return res.status(404).json({ message: "Airambulance not found" });
    }
    const userObjectId = mongoose.Types.ObjectId.createFromHexString(userId);
    const existingReview = airambulance.reviews.find((rev) => rev.userId.equals(userObjectId));
    console.log(existingReview)

    if (existingReview) {
      // User has already submitted a review, update it
      existingReview.rating = rating;
      existingReview.review = review;
    } else {
      // User has not submitted a review, create a new one
      const newReview = {
        rating,
        review,
        userId: userObjectId,
      };

      airambulance.reviews.push(newReview);
    }

    await airambulance.save();
    res.status(201).json({ message: "Review created/updated successfully" });
  } catch (error) {
    console.error("Error creating review:", error);
    res.status(500).json({ message: "Internal server error" });
  }
};

module.exports = {
  createReview,
};
