const AirAmbulance = require("../../model/AirAmbulance");

const getAirAmbulanceById = async (req, res) => {
  try {
    const airambulance = await AirAmbulance.findById(req.params.id);
    if (airambulance) {
      let totalRatings = airambulance.reviews.reduce((acc, cv) => {
        return (acc += cv.rating);
      }, 0);
      let totalReview;
      if (totalRatings && airambulance.reviews.length) {
        totalReview = {
          rating: totalRatings / airambulance.reviews.length,
          reviewsCount: airambulance.reviews.length,
        };
      }
      res.json({ ...airambulance.toJSON(), totalReview });
    } else {
      res.status(404).json({ error: "Air Ambulance not found" });
    }
  } catch (error) {
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = getAirAmbulanceById;
