const AirAmbulance = require("../../model/AirAmbulance");

const updateAirAmbulanceById = async (req, res) => {
  let { enquiry, organisation, aircraft, contactinfo, description, location } =
    req.body;
  let image;
  try {
    if (!req.params.id) {
      return res.status(400).json({ error: "AirAmbulance ID is undefined" });
    }
    if (req.file) {
      image = "/uploads/airambulances/" + req.file.filename;
    }

    const updatedAirAmbulance = await AirAmbulance.findByIdAndUpdate(
      req.params.id,
      {
        $set: {
          enquiry,
          organisation,
          aircraft,
          contactinfo,
          description,
          image,
          location,
        },
      },
      { new: true }
    );
    if (updatedAirAmbulance) {
      res.json({ updatedAirAmbulance, message: "Air ambulance updated" });
    } else {
      res.status(404).json({ error: "AirAmbulance not found" });
    }
  } catch (error) {
    console.log("Error is ", error);
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = updateAirAmbulanceById;
