const Department = require("../../model/Department");
const Doctor = require("../../model/Doctor");

async function getDoctorCountPerDepartment(req,res) {
  try {
    const result = await Doctor.aggregate([
      {
        $unwind: "$department",
      },
      {
        $group: {
          _id: "$department",
          count: { $sum: 1 },
        },
      },
      
    ]);

    const countPerDepartment = await Promise.all(
      result.map(async (item) => {
        const department = await Department.findById(item._id);
        if (department) {
          return {
            departmentName: department.name,
            count: item.count,
          };
        } else {
          return {
            departmentName: 'Unknown Department',
            count: item.count,
          };
        }
      })
    );

    console.log(countPerDepartment);
    return countPerDepartment;
   
  } catch (error) {
    console.error(error);
    throw error;
  }
}

module.exports = {
  getDoctorCountPerDepartment,
};
