const Department = require("../../model/Department");

// List all departments
exports.listDepartments = async (req, res) => {
  try {
    const { dept, page, pageSize, isDashboard } = req.query;
    console.log("yy", req.query);
    console.log("pageSize", pageSize);
    console.log("fff", isDashboard);
    // let filter;
    // if (dept) {
    //   filter = {
    //     name: new RegExp(dept, "i"),
    //   };

    //   console.log(filter);

    //   const deptt = await Department.find(filter);

    //   console.log("sss", deptt);
    // }
    let filter = {};
    if (!isDashboard) {
      filter.status = { $ne: "banned" };
    }

    if (dept) {
      filter.name = new RegExp(dept, "i");
      console.log(filter);

      const deptt = await Department.find(filter);
      console.log("sss", deptt);
    }

    const totalCount = await Department.find(filter).count();
    console.log("totalCount", totalCount);
    const departments = await Department.aggregate([
      {
        $match: filter,
      },
      {
        $lookup: {
          from: "treatments",
          localField: "treatment",
          foreignField: "_id",
          as: "treatmentDetails",
        },
      },
      {
        $lookup: {
          from: "doctors",
          let: { departmentId: "$_id" },
          pipeline: [
            {
              $match: {
                $expr: {
                  $in: ["$$departmentId", "$department"],
                },
              },
            },
          ],
          as: "doctorsDetails",
        },
      },
      {
        $lookup: {
          from: "hospitals",
          localField: "_id",
          foreignField: "department",
          as: "hospitalDetails",
        },
      },

      {
        $addFields: {
          hospitalCount: { $size: "$hospitalDetails" },
          hospitals: "$hospitalDetails",
          doctorCount: { $size: "$doctorsDetails" },
          doctors: "$doctorsDetails",
          treatmentCount: { $size: "$treatmentDetails" },
        },
      },
      ...(dept
        ? [
            {
              $match: {
                name: { $regex: RegExp(dept), $options: "i" },
              },
            },
          ]
        : []),
      ...(page && pageSize
        ? [{ $skip: (parseInt(page) - 1) * parseInt(pageSize) }]
        : []),
      ...(pageSize ? [{ $limit: parseInt(pageSize) }] : []),
    ]);
    console.log({ $skip: (parseInt(page) - 1) * parseInt(pageSize) });
    console.log({ departments, totalCount });
    res.json({ departments, totalCount });
  } catch (err) {
    console.log(err);
    res.status(500).json({ error: err });
  }
};

// Get a single department by ID
exports.getDepartmentById = async (req, res) => {
  try {
    const department = await Department.findById(
      req.params.departmentId
    ).populate("treatment");
    if (!department) {
      return res.status(404).json({ message: "Department not found" });
    }
    res.json(department);
  } catch (err) {
    res.status(500).json({ error: err });
  }
};

exports.getDepts = async (req, res) => {
  try {
    const deptt = await Department.find();

    console.log("sss", deptt);
    res.json({ deptt });
  } catch (err) {
    res.status(500).json({ error: err });
  }
};
