const Department = require("../../model/Department");

// Update a department
exports.updateDepartment = async (req, res) => {
  try {
    // let updateData = req.body;
    let { name, description, location, contactInformation, treatment } =
      req.body;
    let image;

    if (req.file) {
      image = "/uploads/departments/" + req.file.filename;
    }
    const updatedDepartment = await Department.findByIdAndUpdate(
      req.params.departmentId,
      {
        $set: {
          name,
          description,
          location,
          contactInformation,
          treatment,
          image,
        },
      },
      { new: true }
    );

    if (!updatedDepartment) {
      return res.status(404).json({ error: "Specialty not found" });
    }
    console.log("Departemnt updated", updatedDepartment);
    res.json({ updatedDepartment, message: "Specialty updated" });
  } catch (err) {
    console.error(err);
    res.status(500).json({ error: err.message });
  }
};
