const mongoose = require("mongoose");
const Doctor = require("../../model/Doctor");

const createReview = async (req, res) => {
  const { userId, rating, review } = req.body;
  console.log(req.body)
  const doctorId = req.params.id;
  console.log(req.params)
  console.log(doctorId)
  try {
    const doctor = await Doctor.findById(doctorId);
    if (!doctor) {
      return res.status(404).json({ message: "Doctor not found" });
    }
    const userObjectId = mongoose.Types.ObjectId.createFromHexString(userId);
    const existingReview = doctor.reviews.find((rev) => rev.userId.equals(userObjectId));
    console.log(existingReview)

    if (existingReview) {
      existingReview.rating = rating;
      existingReview.review = review;
    } else {
      const newReview = {
        rating,
        review,
        userId: userObjectId,
      };

      doctor.reviews.push(newReview);
    }

    await doctor.save();
    res.status(201).json({ message: "Review created/updated successfully" });
  } catch (error) {
    console.error("Error creating review:", error);
    res.status(500).json({ message: "Internal server error" });
  }
};

module.exports = {
  createReview,
};
