const Doctor = require("../../model/Doctor");

const getAllDoctors = async (req, res) => {
  try {
    const {
      dept,
      country,
      gender,
      languages,
      city,
      page,
      pageSize,
      isDashboard,
    } = req.query;
    console.log("requested query is ", req.query);
    let filter = {};
    if (!isDashboard) {
      filter.status = { $ne: "banned" };
    }
    if (dept || country || gender || languages) {
      filter = {
        // $or: [
        //   { department: dept },
        //   {
        $and: [
          ...(country
            ? [
                {
                  "location.country": {
                    $regex: new RegExp(country, "i"),
                    $exists: true,
                  },
                },
              ]
            : []),
          ...(city
            ? [
                {
                  "location.city": {
                    $regex: new RegExp(city, "i"),
                    $exists: true,
                  },
                },
              ]
            : []),
          ...(dept ? [{ department: dept }] : []),
          gender ? { gender: { $in: [gender] } } : {},
          // ...(languages ? [{ languages: { $in: [languages] } }] : []),
          ...(languages ? [{ languages: { $in: languages } }] : []),

          // ...(languages
          //   ? {
          //       languages: Array.isArray(languages)
          //         ? { $in: languages }
          //         : languages,
          //     }
          //   : {}),
        ],
        //   },
        // ],
      };
    }
    const doctors = await Doctor.find(filter)
      .skip((page - 1) * pageSize)
      .limit(pageSize)
      .populate("department");
    const totalCount = await Doctor.find(filter).count();
    console.log("totalCount", totalCount);
    res.json({ doctors, totalCount });
    console.log(doctors, "doctor is");
  } catch (err) {
    console.log(err);
    res.status(500).json(err);
  }
};

module.exports = getAllDoctors;
