const Doctor = require("../../model/Doctor");

const getDoctorById = async (req, res) => {
  try {
    const doctor = await Doctor.findById(req.params.id).populate("department");
    console.log(req.params.id);
    if (doctor) {
      let totalRatings = doctor.reviews.reduce((acc, cv) => {
        return (acc += cv.rating);
      }, 0);
      let totalReview;
      if (totalRatings && doctor.reviews.length) {
        totalReview = {
          rating: totalRatings / doctor.reviews.length,
          reviewsCount: doctor.reviews.length,
        };
      }
      res.json({ ...doctor.toJSON(), totalReview });
    } else {
      res.status(404).json({ err: "Doctor not found" });
    }
  } catch (err) {
    res.status(500).json({ err: "Internal server error" });
  }
};

module.exports = getDoctorById;
