const Doctor = require("../../model/Doctor");

const updateDoctorById = async (req, res) => {
  let {
    name,
    enquiry,
    description,
    workexperience,
    education,
    achievements,
    startTime,
    endTime,
    workingDays,
    gender,
    clinicalinterest,
    contactInfo,
    department,
    qualification,
    certificationNumber,
    location,
    languages,
    isFreelancer,
  } = req.body;

  // console.log(req.body)
  console.log(req.files);
  let image;
  let certificationDocument;
  try {
    if (!req.params.id) {
      return res.status(400).json({ error: "Doctor ID is undefined" });
    }
    if (req.files?.certificationDocument) {
      certificationDocument =
        "/uploads/doctors/" + req.files.certificationDocument[0]?.filename;
    }
    if (req.files?.image) {
      image = "/uploads/doctors/" + req.files.image[0]?.filename;
    }

    const updatedDoctor = await Doctor.findByIdAndUpdate(
      req.params.id,
      {
        $set: {
          name,
          enquiry,
          description,
          workexperience,
          contactInfo,
          department,
          startTime,
          endTime,
          gender,
          workingDays,
          clinicalinterest,
          education,
          achievements,
          qualification,
          certificationNumber,
          certificationDocument,
          isFreelancer,
          location,
          languages,
          image,
        },
      },

      { new: true }
    );
    if (updatedDoctor) {
      res.json({ updatedDoctor, message: "Doctor updated" });
    } else {
      res.status(404).json({ err: "Doctor not found" });
    }
  } catch (err) {
    console.log(err);
    res.status(500).json({ err: "Internal server error", error: err.message });
  }
};

module.exports = updateDoctorById;
