const FreelanceDoctor = require("../../model/Freelancedoctor");

const createFreelanceDoctor = async (req, res) => {
  try {
    const { latitude, longitude, address } = req.body.location;
    const newFreelanceDoctor = new FreelanceDoctor({
      location: { latitude, longitude, address },
      consultationFee: req.body.consultationFee,
      workingHours: req.body.workingHours,
      contactInfo: req.body.contactInfo,
      doctor:req.body.doctor,
      licenseCertification: {
        certificationNumber: req.body.certificationNumber,
        certificationDocumentUrl: req.file.path,
      },
    });
    await newFreelanceDoctor.save();
    res.status(201).json({ message: "Freelance doctor created successfully" });
  } catch (err) {
    res.status(500).json({ err: err.message });
  }
};

module.exports = createFreelanceDoctor;
