const mongoose = require("mongoose");
const Healthcare = require("../../model/healthcare");

const createReview = async (req, res) => {
  const { userId, rating, review } = req.body;
  const healthcareId = req.params.id;

  try {
    const healthcare = await Healthcare.findById(healthcareId);
    if (!healthcare) {
      return res.status(404).json({ message: "Healthcare not found" });
    }

    const userObjectId = mongoose.Types.ObjectId.createFromHexString(userId);
    const existingReview = healthcare.reviews.find((rev) =>
      rev.userId.equals(userObjectId)
    );
    console.log(existingReview);

    if (existingReview) {
      existingReview.rating = rating;
      existingReview.review = review;
    } else {
      const newReview = {
        rating,
        review,
        userId: userObjectId,
      };

      healthcare.reviews.push(newReview);
    }

    await healthcare.save();
    res.status(201).json({ message: "Review created/updated successfully" });
  } catch (error) {
    console.error("Error creating/update review:", error);
    res.status(500).json({ message: "Internal server error" });
  }
};

module.exports = {
  createReview,
};
