const HealthCare = require("../../model/healthcare");

const getAllHealthCare = async (req, res) => {
  try {
    const { city, country, page, pageSize } = req.query;
    console.log(req.query);
    let filter;
    if (city) {
      filter = {
        $or: [
          { "location.city": new RegExp(city, "i") },
          { "location.country": new RegExp(city, "i") },
        ],
      };
    }
    const healthcares = await HealthCare.find(filter)
      .skip((page - 1) * pageSize)
      .limit(pageSize);
    const totalCount = await HealthCare.find(filter).count();
    console.log("totalCount", totalCount);
    res.json({ healthcares, totalCount });
  } catch (error) {
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = getAllHealthCare;
