const HealthCare = require("../../model/healthcare");

const getHealthCareById = async (req, res) => {
  try {
    const healthcare = await HealthCare.findById(req.params.id)
    console.log(req.params.id);
    if (healthcare) {
      let totalRatings = healthcare.reviews.reduce((acc, cv) => {
        return (acc += cv.rating);
      }, 0);
      let totalReview;
      if (totalRatings && healthcare.reviews.length) {
        totalReview = {
          rating: totalRatings / healthcare.reviews.length,
          reviewsCount: healthcare.reviews.length,
        };
      }
      res.json({...healthcare.toJSON(), totalReview });
    } else {
      res.status(404).json({ err: "Healthcare not found" });
    }
  } catch (err) {
    res.status(500).json({ err: "Internal server error" });
  }
};

module.exports = getHealthCareById;
