const HealthCare = require("../../model/healthcare");

const updateHealthcareById = async (req, res) => {
  let {
    name,
    description,
    startTime,
    endTime,
    workingDays,
    location,
    medicalservice,
    contactInfo,
  } = req.body;
  console.log(req.body)
  let image;
  try {
    if (!req.params.id) {
      return res.status(400).json({ error: "Healthcare ID is undefined" });
    }
    if (req.file) {
      image = "/uploads/healthcare/" + req.file.filename;
    }
    const updatedHealthcare = await HealthCare.findByIdAndUpdate(
      req.params.id,
      {
        $set: {
          name,
          description,
          contactInfo,
          startTime,
          endTime,
          workingDays,
          location,
          medicalservice,
          image,
        },
      },

      { new: true }
    );
    if (updatedHealthcare) {
      res.json(updatedHealthcare);
    } else {
      res.status(404).json({ err: "Healthcare not found" });
    }
  } catch (err) {
    res.status(500).json({ err: "Internal server error",error:err.message });
  }
};

module.exports = updateHealthcareById;
