const mongoose = require("mongoose");
const Hospital = require("../../model/Hospital");

const createReview = async (req, res) => {
  const { userId, rating, review } = req.body;
  console.log(req.body)
  const hospitalId = req.params.id;
  console.log(hospitalId)
  try {
    const hospital = await Hospital.findById(hospitalId);
    if (!hospital) {
      return res.status(404).json({ message: "Hospital not found" });
    }
    const userObjectId = mongoose.Types.ObjectId.createFromHexString(userId);
    const existingReview = hospital.reviews.find((rev) => rev.userId.equals(userObjectId));
    console.log(existingReview)

    if (existingReview) {
      existingReview.rating = rating;
      existingReview.review = review;
    } else {
      const newReview = {
        rating,
        review,
        userId: userObjectId,
      };
      hospital.reviews.push(newReview);
    }

    await hospital.save();
    res.status(201).json({ message: "Review created/updated successfully" });
  } catch (error) {
    console.error("Error creating review:", error);
    res.status(500).json({ message: "Internal server error" });
  }
};

module.exports = {
  createReview,
};
