const Hospital = require("../../model/Hospital");
const Department = require("../../model/Department");

const getHospitalById = async (req, res) => {
  try {
    const activeDept = await Department.find({ status: "active" }).select(
      "_id"
    );
    console.log("act", activeDept);
    const hospital = await Hospital.findById(req.params.id).populate({
      path: "department",
      match: { _id: { $in: activeDept.map((dept) => dept._id) } },
    });
    console.log("hsp", hospital);
    if (hospital) {
      hospital.department = hospital.department.filter(
        (dept) =>
          dept.id &&
          activeDept
            .map((active) => active._id.toString())
            .includes(dept.id._id.toString())
      );
      let totalRatings = hospital.reviews.reduce((acc, cv) => {
        return (acc += cv.rating);
      }, 0);
      let totalReview;
      if (totalRatings && hospital.reviews.length) {
        totalReview = {
          rating: totalRatings / hospital.reviews.length,
          reviewsCount: hospital.reviews.length,
        };
      }
      res.json({ ...hospital.toJSON(), totalReview });
    } else {
      res.status(404).json({ error: "Hospital not found" });
    }
  } catch (error) {
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = getHospitalById;
