const Hospital = require("../../model/Hospital");

const updateHospitalById = async (req, res) => {
  let {
    name,
    location,
    enquiry,
    contactInfo,
    bedCapacity,
    description,
    doctor,
    department,
    featured,
    lab,
  } = req.body;
  console.log("request body is ", req.body);
  let image;
  try {
    if (!req.params.id) {
      return res.status(400).json({ error: "Hospital ID is undefined" });
    }
    if (req.file) {
      image = "/uploads/hospitals/" + req.file.filename;
    }

    const updatedHospital = await Hospital.findByIdAndUpdate(
      req.params.id,
      {
        $set: {
          name,
          location,
          enquiry,
          contactInfo,
          bedCapacity,
          description,
          doctor,
          department,
          lab,
          featured,
          image,
        },
      },
      { new: true }
    );
    if (updatedHospital) {
      res.json({ updatedHospital, message: "Hospital updated" });
    } else {
      res.status(404).json({ error: "Hospital not found" });
    }
  } catch (error) {
    console.log("Error is ", error);
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = updateHospitalById;
