const Insurance = require("../../model/Insurance");

const getAllInsurances = async (req, res) => {
  try {
    const { city, country, insurance, page, pageSize } = req.query;
    console.log(req.query);
    const insurances = await Insurance.find({
      $and: [
        { "location.city": new RegExp(city, "i") },
        { "location.country": new RegExp(country, "i") },
        { name: new RegExp(insurance, "i") },
      ],
    })
      .skip((page - 1) * pageSize)
      .limit(pageSize);
    const totalCount = await Insurance.find({
      $and: [
        { "location.city": new RegExp(city, "i") },
        { "location.country": new RegExp(country, "i") },
        { name: new RegExp(insurance, "i") },
      ],
    }).count();
    console.log("totalCount", totalCount);
    res.json({ insurances, totalCount });
  } catch (error) {
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = getAllInsurances;
