const Insurance = require("../../model/Insurance");

const getInsurance = async (req, res) => {
  try {
    const insurance = await Insurance.findById(req.params.id);
    if (insurance) {
      let totalRatings = insurance.reviews.reduce((acc, cv) => {
        return (acc += cv.rating);
      }, 0);
      let totalReview;
      if (totalRatings && insurance.reviews.length) {
        totalReview = {
          rating: totalRatings / insurance.reviews.length,
          reviewsCount: insurance.reviews.length,
        };
      }
      res.json({ ...insurance.toJSON(), totalReview });
    } else {
      res.status(404).json({ error: "Insurance not found" });
    }
  } catch (error) {
    res.status(500).json({ error: "Internal Server Error" });
  }
};
module.exports = getInsurance;
