const Insurance = require("../../model/Insurance");

const updateInsuranceById = async (req, res) => {
  let { name, enquiry, contactinfo, description, location } = req.body;
  let image;
  try {
    if (!req.params.id) {
      return res.status(400).json({ error: "Insurance ID is undefined" });
    }
    if (req.file) {
      image = "/uploads/insurances/" + req.file.filename;
    }

    const updatedInsurance = await Insurance.findByIdAndUpdate(
      req.params.id,
      { $set: { name, enquiry, contactinfo, description, image, location } },
      { new: true }
    );
    if (updatedInsurance) {
      res.json({ updatedInsurance, message: "Insurance updated" });
    } else {
      res.status(404).json({ error: "Insurance not found" });
    }
  } catch (error) {
    console.log("Error is ", error);
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = updateInsuranceById;
