const mongoose = require("mongoose");
const MedicalExpress = require("../../model/MedicalExpress");

const createReview = async (req, res) => {
  const { userId, rating, review } = req.body;
  const medicalId = req.params.id;

  try {
    const medicalexpress = await MedicalExpress.findById(medicalId);
    if (!medicalexpress) {
      return res.status(404).json({ message: "Medicalexpress not found" });
    }

    const userObjectId = mongoose.Types.ObjectId.createFromHexString(userId);
    const existingReview = medicalexpress.reviews.find((rev) =>
      rev.userId.equals(userObjectId)
    );
    console.log(existingReview);

    if (existingReview) {
      existingReview.rating = rating;
      existingReview.review = review;
    } else {
      const newReview = {
        rating,
        review,
        userId: userObjectId,
      };

      medicalexpress.reviews.push(newReview);
    }

    await medicalexpress.save();
    res.status(201).json({ message: "Review created/updated successfully" });
  } catch (error) {
    console.error("Error creating/update review:", error);
    res.status(500).json({ message: "Internal server error" });
  }
};

module.exports = {
  createReview,
};
