const MedicalExpress = require("../../model/MedicalExpress");

const getAllMedicalExpresses = async (req, res) => {
  try {
    const { city, country, page, pageSize } = req.query;
    console.log(req.query);
    let filter;
    if (city) {
      filter = {
        $or: [
          { "location.city": new RegExp(city, "i") },
          { "location.country": new RegExp(city, "i") },
        ],
      };
    }
    const medicals = await MedicalExpress.find(filter)
      .limit(pageSize)
      .skip((page - 1) * pageSize);
    res.json(medicals);
  } catch (error) {
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = getAllMedicalExpresses;
