const MedicalExpress = require("../../model/MedicalExpress");

const getMedicalById = async (req, res) => {
  try {
    const medical = await MedicalExpress.findById(req.params.id);
    console.log(req.params.id);
    if (medical) {
      let totalRatings = medical.reviews.reduce((acc, cv) => {
        return (acc += cv.rating);
      }, 0);
      let totalReview;
      if (totalRatings && medical.reviews.length) {
        totalReview = {
          rating: totalRatings / medical.reviews.length,
          reviewsCount: medical.reviews.length,
        };
      }
      res.json({ ...medical.toJSON(), totalReview });
    } else {
      res.status(404).json({ err: "MedicalExpress not found" });
    }
  } catch (err) {
    res.status(500).json({ err: "Internal server error" });
  }
};

module.exports = getMedicalById;
