const Review = require("../../model/Review");

const createReview = async (req, res) => {
  try {
    const { rating, review, userId } = req.body;

    let existingReview = await Review.findOne({ 'reviews.userId': userId });

    if (existingReview) {
      const userReviewIndex = existingReview.reviews.findIndex((userReview) => userReview.userId.toString() === userId);

      if (userReviewIndex !== -1) {
        existingReview.reviews[userReviewIndex].rating = rating;
        existingReview.reviews[userReviewIndex].review = review;
      } 
      console.log('inside exisitn review')
      await existingReview.save();

      console.log('Review updated:', existingReview.reviews);
      res.status(200).json({ message: 'Review updated successfully', review: existingReview.reviews });
    } else {
      const newReview = new Review({
        reviews: [{ rating, review, userId }],
      });
      console.log('inside new review')
      await newReview.save();

      console.log('New Review:', newReview.reviews);
      res.status(201).json({ message: 'Review created successfully', review: newReview.reviews });
    }
  } catch (error) {
    console.error(error);
    res.status(500).json({ message: 'Internal Server Error' });
  }
};

module.exports = {
  createReview,
};



