const Treatment = require('../../model/Treatment');

exports.listTreatments = async (req, res) => {
    try {
      const treatments = await Treatment.find()
      // .populate('department');
      res.json(treatments);
    } catch (err) {
      res.status(500).json({ error: err.message });
    }
  };
  
  // Get a single treatment by ID
  exports.getTreatmentById = async (req, res) => {
    try {
      const treatment = await Treatment.findById(req.params.treatmentId)
      // .populate('department');
      if (!treatment) {
        return res.status(404).json({ message: 'Treatment not found' });
      }
      res.json(treatment);
    } catch (err) {
      res.status(500).json({ error: err.message });
    }
  };