const Treatment = require("../../model/Treatment");

// Update a treatment
exports.updateTreatment = async (req, res) => {
  let { name, description, cost } = req.body;
  try {
    const updatedTreatment = await Treatment.findByIdAndUpdate(
      req.params.treatmentId,
      { $set: { name, description, cost } },
      { new: true }
    );
    if (!updatedTreatment) {
      return res.status(404).json({ error: "Treatment not found" });
    }
    res.json({ updatedTreatment, message: "Treatment updated" });
  } catch (err) {
    console.log(err);
    res.status(500).json({ error: err.message });
  }
};
