const Appointment = require("../../model/Appointment");
async function updateAppointmentStatus(appointmentId, newStatus) {
  try {
    const updatedAppointment = await Appointment.findByIdAndUpdate(
      appointmentId,
      { $set: { status: newStatus } },
      { new: true }
    );
    if (!updatedAppointment) {
      throw new Error("Appointment not found");
    }
    return updatedAppointment;
  } catch (err) {
    throw new Error("Error updating appointment status", err.message);
  }
}

module.exports = { updateAppointmentStatus };
