const nodemailer = require("nodemailer");

const enquiry = async (req, res) => {
  const {
    firstname,
    lastname,
    serviceType,
    location,
    email,
    contactInfo,
    centername,
  } = req.body;
  console.log("request is", req.body);
  const transporter = nodemailer.createTransport({
    service: "gmail",
    secure: true,
    auth: {
      user: process.env.AUTH_EMAIL,
      pass: process.env.AUTH_PASS,
    },
    tls: {
      rejectUnauthorized: false,
    },
  });

  const mailOptions = {
    from: email,
    to: "apsaram091@gmail.com",
    subject: `Enquiry ${serviceType}`,
    text: `First Name: ${firstname}\nLast Name: ${lastname}\nEmail: ${email}\nPhone: ${contactInfo}\nService Type:${serviceType} \nCenter Name:${centername} \nAddress:${location?.address}`,
  };

  transporter.sendMail(mailOptions, (error, info) => {
    if (error) {
      console.error("Error sending email:", error);
      res.status(500).json({ message: "Error sending email" });
    } else {
      console.log("Email sent:", info.response);
      res.status(200).json({ message: "Email sent successfully" });
    }
  });
};

module.exports = enquiry;
