// authController.js
const Joi = require("joi");
const crypto=require('crypto')
const passwordComplexity = require("joi-password-complexity");
const User = require("../../model/Users"); // Import your User model
const Token = require("../../model/token"); // Import your Token model
const { verifyResetToken } = require("../../service/JWT");
const { validationResult } = require("express-validator");

// exports. resetPassword  = async (req, res) => {
//     try {
//         const passwordSchema = Joi.object({
//             password: passwordComplexity().required().label("Password"),
//         });
//         const { error } = passwordSchema.validate(req.body);
//         if (error) {
//             return res.status(400).send({ message: error.details[0].message });
//         }

//         const user = await User.findOne({ _id: req.params.id });
//         if (!user) {
//             return res.status(400).send({ message: "Invalid link" });
//         }

//         const token = await Token.findOne({
//             userId: user._id,
//             token: req.params.token,
//         });
//         if (!token) {
//             return res.status(400).send({ message: "Invalid link" });
//         }

//         if (!user.verified) {
//             user.verified = true;
//         }

//         const salt = await bcrypt.genSalt(Number(process.env.SALT));
//         const hashPassword = await bcrypt.hash(req.body.password, salt);

//         user.password = hashPassword;
//         await user.save();
//         await token.remove();

//         res.status(200).send({ message: "Password reset successfully" });
//     } catch (error) {
//         res.status(500).send({ message: "Internal Server Error" });
//     }
// };
/**
 *
 * @param {string} password
 * @returns {Promise<{salt:string,hashedPassword:string}>}
 */
const generateHashedPassword = async (password) => {
  const salt = crypto.randomBytes(Number(process.env.SALT)).toString("hex");

  return new Promise((resolve, reject) => {
    crypto.pbkdf2(password, salt, 10000, 64, "sha512", (err, derivedKey) => {
      if (err) reject(err);

      const hashedPassword = derivedKey.toString("hex");
      resolve({ salt, hashedPassword });
    });
  });
};

exports.resetPassword = async (req, res) => {
  const { token } = req.params;
  console.log('this is token',token)
  const { password } = req.body;
  console.log('this is password',password)

  try {
    const { userId } = await verifyResetToken(token);
    console.log(userId);
    const user = await User.findById(userId);

    if (!user) {
      return res.status(400).json({ message: "Invalid user ID" });
    }

    // Check if the provided token matches the user's resetToken
    if (user.resetToken !== token) {
      return res
        .status(400)
        .json({ message: "Invalid or expired reset token" });
    }

    // Validate the new password
    const errors = validationResult(req);
    if (!errors.isEmpty()) {
      return res.status(400).json({ errors: errors.array() });
    }
 

    // Optionally, reset the user's resetToken after successful password reset
    user.resetToken = null;
    user.setPassword(password)
    await user.save();

    return res.status(200).json({ message: "Password reset successfully" });
    console.log(res);
  } catch (error) {
    console.error(error);
    return res.status(500).json({ message: "Internal Server Error" });
  }
};
