

const User = require("../../model/Users");
const Token = require("../../model/token");

module.exports =async function(req, res){
    try {
        const user = await User.findOne({ _id: req.params.id });

        if (!user) {
            return res.status(400).json({ message: "Invalid link" });
        }

        const token = await Token.findOne({
            userId: user._id,
            token: req.params.token,
        });

        if (!token) {
            return res.status(400).json({ message: "Invalid link" });
        }

        // Update user to be verified
        user.verifications.email = true;
        console.log(user.verifications.email)
        await user.save();
        console.log('User updated to be verified');
        await Token.deleteOne({ _id: token._id });
        console.log('Verification token removed');

        return res.status(200).json({ message: "Email verified successfully" });
    } catch (error) {
        console.error(error);
        return res.status(500).json({ message: "Internal Server Error" });
    }
};


