const User = require("../../model/Users");
const Token = require("../../model/token");
const {  verifyResetToken } = require("../../service/JWT");

// exports.verifyLink = async (req, res) => {
//   try {
//     const user = await User.findOne({ _id: req.params.id });

//     if (!user) {
//       return res.status(400).send({ message: "Invalid link" });
//     }

//     const token = await Token.findOne({
//       userId: user._id,
//       token: req.params.token,
//     });

//     if (!token) {
//       return res.status(400).send({ message: "Invalid link" });
//     }

//     res.status(200).send("Valid Url");
//   } catch (error) {
//     res.status(500).send({ message: "Internal Server Error" });
//   }
// };


exports.verifyLink = async (req, res) => {
  try {
    const { token } = req.params
    const { userId } = await verifyResetToken(token)
    const user = await User.findOne({ _id: userId });
    if (!user) {
      return res.status(400).send({ message: "Invalid link" });
    }

    // You may want to check if the provided token matches the user's resetToken
    const isValidLink = user.resetToken === token;

    if (!isValidLink) {
      return res.status(400).send({ message: "Invalid link" });
    }

    // Optionally, reset the user's resetToken after successful verification
    user.resetToken = null;
    await user.save();

    res.status(200).send("Valid Url");
  } catch (error) {
    res.status(500).send({ message: "Internal Server Error", error: error.message });
  }
};