const Clinic = require("../../model/Clinic");

const getClinicById = async (req, res) => {
  try {
    const clinic = await Clinic.findById(req.params.id);
    let totalRatings = clinic.reviews.reduce((acc, cv) => {
      return (acc += cv.rating);
    }, 0);
    let totalReview;
    if (totalRatings && clinic.reviews.length) {
      totalReview = {
        rating: totalRatings / clinic.reviews.length,
        reviewsCount: clinic.reviews.length,
      };
    }
    if (!clinic) {
      return res.status(404).json({ message: "Clinic not found" });
    }
    res.status(200).json({ ...clinic.toJSON(), totalReview });
  } catch (err) {
    res.status(500).json({ error: err.message });
  }
};

module.exports = getClinicById;
