const Clinic = require("../../model/Clinic");

const updateClinic = async (req, res) => {
  let {
    name,
    enquiry,
    location,
    contactInfo,
    doctor,
    featured,
    department,
    bedCapacity,
    lab,
    description,
  } = req.body;
  let image;
  try {
    if (req.file) {
      image = "/uploads/clinics/" + req.file.filename;
    }

    const clinic = await Clinic.findByIdAndUpdate(
      req.params.id,
      {
        $set: {
          name,
          enquiry,
          location,
          contactInfo,
          bedCapacity,
          doctor,
          featured,
          description,
          department,
          lab,
          image,
        },
      },
      { new: true }
    );

    if (clinic) {
      res.status(200).json({ clinic, message: "Clinic updated" });
    } else {
      res.status(404).json({ error: "Clinic not Found" });
    }
  } catch (err) {
    res.status(500).json({ error: err.message });
  }
};

module.exports = updateClinic;
