const Guest = require('../../model/Guest');

const getGuestById = async (req, res) => {
    try {
      const guest = await Guest.findById(req.params.id);
      if (!guest) {
        return res.status(404).json({ error: 'Guest not found' });
      }
      res.status(200).json(guest);
    } catch (error) {
      console.error(error);
      res.status(500).json({ error: 'An error occurred while fetching guest information' });
    }
  };

module.exports = getGuestById;
