const Hospital = require("../../model/Hospital");
const Clinic = require("../../model/Clinic");
const AirAmbulance = require("../../model/AirAmbulance");
const Departments = require("../../model/Department");
// const MedicalExpress = require("../../model/MedicalExpress");
// const HealthCare = require("../../model/healthcare");
const Doctor = require("../../model/Doctor");
// const Insurance = require("../../model/Insurance");

exports.getHomeData = async (req, res) => {
  try {
    const limit = parseInt(req.query.limit) || 4;
    console.log("mimi", limit);
    // const limit = 6;

    // const hospitals = await Hospital.find({ status: "active" ,featured:true}).limit(5);
    // const clinics = await Clinic.find({status: "active",featured: true,}).limit(5);
    const hospitals = await Hospital.aggregate([
      { $match: { status: "active", featured: true } },
      { $limit: 5 },
      { $addFields: { type: "hospital" } },
    ]);
    const clinics = await Clinic.aggregate([
      { $match: { status: "active", featured: true } },
      { $limit: 5 },
      { $addFields: { type: "clinic" } },
    ]);
    const featuredListings = hospitals.concat(clinics);
    console.log("vvvv", featuredListings);
    const airambulances = await AirAmbulance.find({ status: "active" }).limit(
      5
    );
    const departments = await Departments.find({ status: "active" }).limit(9);
    // const medicalexpresses = await MedicalExpress.find().limit(limit);
    // const healthcares = await HealthCare.find().limit(5);
    // const insurances = await Insurance.find({ status: "active" }).limit(5);
    const doctors = await Doctor.find({ status: "active" }).populate("department").limit(limit);

    res.status(200).json({
      hospitals,
      featuredHospitals: hospitals,
      clinics,
      airambulances,
      departments,
      featuredListings,
      // medicalexpresses,
      // healthcares,
      doctors,
      // insurances,
    });
  } catch (error) {
    console.error(error);
    res.status(500).json({ error: "Internal Server Error" });
  }
};
