const nodemailer = require("nodemailer");
const contactinfo=require('../../model/Contactinfo')

const contact = async (req, res) => {
  const { fullName, email, phone, subject, message } = req.body;
  console.log("request is", req.body);
  const transporter = nodemailer.createTransport({
    service: "gmail",
    secure: true,
    auth: {
      user: process.env.AUTH_EMAIL,
      pass: process.env.AUTH_PASS,
    },
    tls: {
      rejectUnauthorized: false,
    },
  });

    const mailOptions = {
      from: email,
      to: `${contactinfo.email}`,
      subject: subject,
      text: `Name: ${fullName}\nEmail: ${email}\nPhone: ${phone}\n\nMessage:\n${message}`,
    };

  transporter.sendMail(mailOptions, (error, info) => {
    if (error) {
      console.error("Error sending email:", error);
      res.status(500).send("Error sending email");
    } else {
      console.log("Email sent:", info.response);
      res.status(200).send("Email sent successfully");
    }
  });
};

module.exports = contact;
