const express = require("express");
const User = require("../../model/Users");
const { HIDE_USER_SECRETS } = require("../../constants/projection");
/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */
module.exports = async (req, res) => {
  let { limit, sort } = req.query;
  try {
    const users = await User.find(
      { role: { $ne: "admin" }, status: { $ne: "deleted" } },
      { ...HIDE_USER_SECRETS }
    );
    res.json({ users });
  } catch (err) {
    res.status(404).json({ error: err.message, message: "Users not found" });
  }
};
