const express = require("express");
const User = require("../../model/Users");
/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */
module.exports = async (req, res) => {
  const { id } = req.user;
  try {
    const user = await User.findById(id, {
      hash: 0,
      salt: 0,
      refreshTokens: 0,
    });
    res.json(user);
  } catch (e) {
    res.status(404).json({ message: "User not found", error: e.message });
  }
};
