const User = require("../../model/Users");

/**
 *
 * @param {import("express").Request} req
 * @param {import("express").Response} res
 */
module.exports = async (req, res) => {
  const { id } = req.user;
  const { refreshToken } = req.body;
  try {
    const user = await User.findOne({ _id: id });
    user.refreshTokens = user.refreshTokens.filter(
      (token) => token !== refreshToken
    );
    await user.save();
    res.json({ message: "User logout successfully" });
  } catch (e) {
    res
      .status(500)
      .json({ message: "Unable to logout account", error: e.message });
  }
};
