const express = require("express");
const User = require("../../model/Users");

/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */

module.exports = async (req, res) => {
  let { id } = req.user;
  const { email } = req.body;
  try {
    const user = await User.findById(id);

    if (!user) {
      return res.status(404).json({ message: "User not found" });
    }

    if (user.newsletter) {
      return res.status(400).json({ message: "User already subscribed" });
    }

    user.newsletter = email;
    await user.save();

    return res.status(200).json({ message: "Subscription successful" });
  } catch (err) {
    console.error(err);

    return res.status(500).json({ message: "Internal Server error" });
  }
};
