const express = require("express");
const User = require("../../model/Users");
const { HIDE_USER_SECRETS } = require("../../constants/projection");
/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */
module.exports = async (req, res) => {
  let { id } = req.params;
  try {
    let user = await User.findById(id, { ...HIDE_USER_SECRETS });
    user.status = user.status === "active" ? "banned" : "active";
    await user.save();
    res.json({
      message: `User ${
        user.status === "active" ? "activated" : "deactivated"
      } successfully`,
      user,
    });
  } catch (e) {
    console.log('error is ',e)
    res
      .status(500)
      .json({ message: "Failed to update user status", error: "e.message" });
  }
};
