const express = require("express");
const User = require("../../model/Users");
const { HIDE_USER_SECRETS } = require("../../constants/projection");

/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */
module.exports = async (req, res) => {
  let { name, email, phone, country, city, gender, dateofBirth } = req.body;
  let { id } = req.user;
  let file = req.file;
  let user = await User.findById(id);
  try {
    let updated = await User.findByIdAndUpdate(
      id,
      {
        $set: {
          name,
          email,
          phone,
          city,
          gender,
          country,
          dateofBirth,
        },
      },
      { projection: { ...HIDE_USER_SECRETS }, new: true }
    );

    if (file) {
      updated.avatar = `/uploads/avatar/${file.filename}`;
    }
    console.log('lala',email!==user.email)
    if (email && email !== user.email) {
      updated.verifications.email = false;
      console.log("verifications is ", updated.verifications.email);
    }
    await updated.save();

    res.json({ message: "User updated successfully", user: updated });
  } catch (e) {
    res
      .status(500)
      .json({ message: "Failed to update user", error: e.message });
  }
};
