function checkUserRole(role) {
    return (req, res, next) => {
      console.log(req.user);
      // Check if the user's role has the required permission
      if (req.user && req.user.role === role) {
        next(); // User has the required role, proceed to the next middleware/route handler
      } else {
        res.status(403).json({ message: "Access denied." }); // User doesn't have the required role
      }
    };
  }
  
  
  module.exports = checkUserRole;
  