const mongoose = require("mongoose");

const locationSchema = new mongoose.Schema({
  latitude: Number,
  longitude: Number,
  address: String,
  city:String,
  country:String,
});
const reviewSchema = new mongoose.Schema({
  rating: {
    type: Number,
    required: true,
  },
  review: {
    type: String,
    required: true,
  },
  userId: {
    type: mongoose.Schema.Types.ObjectId,
    ref: "User",
  },
});
const airambulanceSchema = new mongoose.Schema({
  image: String,
  aircraft: String,
  contactinfo: String,
  organisation: String,
  description: String,
  enquiry: [
    {
      type: String,
    },
  ],
  location: locationSchema,
  status: {
    type: String,
    enum: ["active", "banned"],
    default: "active",
  },
  favorites: [
    {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
    },
  ],
  reviews: [reviewSchema],
});

const AirAmbulance = mongoose.model("AirAmbulance", airambulanceSchema);

module.exports = AirAmbulance;
