const mongoose=require('mongoose')

const appointmentSchema=new mongoose.Schema({
    Patient_id:{
        type:mongoose.Schema.Types.ObjectId,
        ref:'Patient',
        required:true
    },
    Entity_id:{
        type:mongoose.Schema.Types.ObjectId,
        ref:'Hospital',
        required:true
    },
    Appointment_date:{
        type:Date,
        required:true
    },
    Status:{
        type:String,
        enum:['scheduled','canceled','completed'],
        default:'scheduled'
    }
})

const Appointment=mongoose.model('Appointment',appointmentSchema)

module.exports=Appointment