const mongoose = require('mongoose');

const consultationRequestSchema = new mongoose.Schema({
  patient: {
    type: mongoose.Schema.Types.ObjectId,
    ref: 'User', // Reference to the user model for patients
  },
  doctor: {
    type: mongoose.Schema.Types.ObjectId,
    ref: 'Doctor', // Reference to the user model for doctors
  },
  requestDate: Date,
  consultationDate: Date,
  status: {
    type: String,
    enum: ['Pending', 'Approved', 'Rejected', 'Completed'],
  },
});

const ConsultationRequest = mongoose.model('ConsultationRequest', consultationRequestSchema);

module.exports = ConsultationRequest;
