
const mongoose = require('mongoose');

const departmentSchema = new mongoose.Schema({
  name: {
    type: String,
    required: true,
  },

  description: {
    type: String,
  },
  location: {
    type: String,
  },
  contactInformation: {
    type: String,
  },
  treatment: [{
    type: mongoose.Schema.Types.ObjectId,
    ref: 'Treatment', 
  }],
  image: String,
  status:{
    type:String,
    enum:['active',"banned"],
    default:'active'
  }
});

// Create the Department model
const Department = mongoose.model('Department', departmentSchema);

module.exports = Department;
