const mongoose = require("mongoose");

const enquirySchema = new mongoose.Schema(
  {
    hospitalId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Hospital",
    },
    clinicId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Clinic",
    },
    airambulanceId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "AirAmbulance",
    },
    healthcareId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Health Care",
    },
    medicalexpressId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "MedicalExpress",
    },
    doctorId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Doctor",
    },
    userId: { type: mongoose.Schema.Types.ObjectId,ref:"User" },
    guestId: { type: mongoose.Schema.Types.ObjectId,ref:"Guest"},

    enquiryType: {
      type: String,
      enum: ["call", "whatsapp", "email"],
    },
    status: {
      type: String,
      enum: ["Booked", "Rejected","Pending"],
      default: "Pending",
    },
  },
  { timestamps: true }
);

const Enquiry = mongoose.model("Enquiry", enquirySchema);

module.exports = Enquiry;
