const mongoose = require('mongoose');

const locationSchema = new mongoose.Schema({
    latitude: Number,
    longitude: Number,
    address:String
  });

const FreelanceDoctorSchema = new mongoose.Schema({
  doctor:{
    type: mongoose.Schema.Types.ObjectId,
    ref:'Doctor'
  },
  location:locationSchema,
  consultationFee:Number,
  workingHours:String,
  contactInfo:Number,
  licenseCertification:{
    certificationNumber:String,
    certificationDocumentUrl:String
  }
  
});

const FreelanceDoctor = mongoose.model('FreelanceDoctor', FreelanceDoctorSchema);

module.exports = FreelanceDoctor;