const mongoose = require("mongoose");

const locationSchema = new mongoose.Schema({
  latitude: Number,
  longitude: Number,
  address: String,
  city: String,
  country: String,
});
const reviewSchema = new mongoose.Schema({
  rating: {
    type: Number,
    required: true,
  },
  review: {
    type: String,
    required: true,
  },
  userId: {
    type: mongoose.Schema.Types.ObjectId,
    ref: "User",
  },
});
const insuranceSchema = new mongoose.Schema({
  name: String,
  contactinfo: Number,
  description: String,
  image: String,
  location: locationSchema,
  status: {
    type: String,
    enum: ["active", "banned"],
    default: "active",
  },
  enquiry: [
    {
      type: String,
    },
  ],
  favorites: [
    {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
    },
  ],
  reviews: [reviewSchema],
});

const Insurance = mongoose.model("Insurance", insuranceSchema);

module.exports = Insurance;
