const mongoose = require("mongoose");

const reviewSchema = new mongoose.Schema({
  rating: {
    type: Number,
    required: true,
  },
  review: {
    type: String,
    required: true,
  },
  userId: {
    type: mongoose.Schema.Types.ObjectId,
    ref: "User",
  },
});
const medicalSchema = new mongoose.Schema({
  name: {
    type: String,
    required: true,
  },
  contactInfo: {
    type: String,
    required: true,
  },
  image: {
    type: String,
    required: true,
  },
  description: {
    type: String,
    required: true,
  },
  medicalservice: {
    type: [],
    required: true,
  },
  location: {
    address: {
      type: String,
      required: true,
    },
    city: {
      type: String,
    },
    country: {
      type: String,
    },
    latitude: {
      type: Number,
      required: true,
    },
    longitude: {
      type: Number,
      required: true,
    },
  },
  startTime: {
    type: String,
  },
  endTime: {
    type: String,
  },
  workingDays: [{ type: String }],
  status: {
    type: String,
    default: "active",
  },
  favorites: [{
    type: mongoose.Schema.Types.ObjectId,
    ref: 'User' 
}],
reviews: [reviewSchema],
});

const MedicalExpress = mongoose.model("MedicalExpress", medicalSchema);

module.exports = MedicalExpress;
