const mongoose = require("mongoose");

const notificationSchema = new mongoose.Schema({
  userId: { type: mongoose.Schema.Types.ObjectId },
  adminIds:{type:mongoose.Schema.Types.ObjectId, ref: "User", },
  uid:{type:mongoose.Schema.Types.ObjectId, ref: "User", },
  title: { type: String, required: true },
  body: { type: String, required: true },
  imageUrl: String,
  isRead: { type: Boolean, default: false },
},
{ timestamps: true });

const Notification = mongoose.model('Notification', notificationSchema);

module.exports = Notification;
