// routes/consultationRequests.js

const express = require('express');
const router = express.Router();
const consultationRequestController = require('../controllers/Consultation/ConsultationRequest');

router.post('/requests', consultationRequestController.createConsultationRequest); // create request
router.get('/requests/pending', consultationRequestController.viewAndApproveRequests); // get pending request
router.put('/requests/approve/:id', consultationRequestController.approveRequest);  //approve request

// List active and past requests
router.get('/requests/active', consultationRequestController.listActiveRequests); // get approved request
router.get('/requests/completed', consultationRequestController.listPastRequests); // get completed  request

module.exports = router;
