const express = require("express");
const router = express.Router();
const multer = require("multer");
const createAirAmbulance = require("../controllers/AirAmbulance/create");
const getAllAirAmbulances = require("../controllers/AirAmbulance/get");
const getAirAmbulanceById = require("../controllers/AirAmbulance/getid");
const updateAirAmbulanceById = require("../controllers/AirAmbulance/update");
const deleteAirAmbulanceById = require("../controllers/AirAmbulance/delete");
const toggleStatus = require("../controllers/AirAmbulance/toggleStatus");
const favorite = require("../controllers/AirAmbulance/favorite");
const unfavorite = require("../controllers/AirAmbulance/unfavorite");
const review=require("../controllers/AirAmbulance/createReview")

const fs = require("fs");
const storage = multer.diskStorage({
  destination: function (req, file, cb) {
    const pathName = "public/uploads/airambulances";
    if (!fs.existsSync(pathName)) {
      fs.mkdirSync(pathName, { recursive: true });
    }
    cb(null, pathName);
  },
  filename: function (req, file, cb) {
    console.log(Date.now() + "-" + file.originalname);
    cb(null, `${Date.now().toString()}-${file.originalname}`);
  },
});
const upload = multer({ storage: storage });

router.post("/add", upload.single("image"), createAirAmbulance);
router.get("/", getAllAirAmbulances);
router.get("/:id", getAirAmbulanceById);
router.patch("/:id", toggleStatus);
router.put("/update/:id", upload.single("image"), updateAirAmbulanceById);
router.delete("/delete/:id", deleteAirAmbulanceById);

router.post("/favorite/:id", favorite.favoriteAirAmbulance);
router.post("/unfavorite/:id", unfavorite.unfavoriteAirAmbulance);

router.post("/review/:id",review.createReview)
module.exports = router;
