const express = require("express");
const router = express.Router();
const createAppointment=require('../controllers/appointmets/create')
const cancelAppointment=require('../controllers/appointmets/delete')
const updateAppointmentStatus=require('../controllers/appointmets/update')


router.post("/", async (req, res) => {
  try {
    const appointment = await createAppointment(req.body);
    res.status(201).json(appointment);
  } catch (err) {
    res.status(500).json({ errror: err.message });
  }
});

router.delete("/:id", async (req, res) => {
  try {
    const appointment = await cancelAppointment(
      req.params.id
    );
    res.json(appointment);
  } catch (err) {
    res.status(500).json({ error: err.message });
  }
});

router.put("/:id/status", async (req, res) => {
  try {
    const appointment = await updateAppointmentStatus(
      req.params.id,
      req.body.status
    );
    res.json(appointment);
  } catch (err) {
    res.status(500).json({ error: err.message });
  }
});

module.exports = router;
