var express = require("express");
const { checkSchema } = require("express-validator");
const signUpController = require("../../controllers/auth/signup");
const login = require("../../controllers/auth/login");
const verifyEmailController = require("../../controllers/auth/verifyEmail");
const sendVerificationEmail = require("../../controllers/auth/sendVerificationMail");
const { forgotPassword } = require("../../controllers/auth/forgetPassword");
const { verifyLink } = require("../../controllers/auth/verifyLink");
const { resetPassword } = require("../../controllers/auth/resetPassword");
const tokenController = require("../../controllers/auth/tokengeneration");
const enquiry=require("../../controllers/auth/enquiry")
const { check } = require("express-validator");
const { body } = require("express-validator");
// const UserVerification = require("../../model/token");
// const verifyEmail = require("../../controllers/auth/verifyEmail");

const router = express.Router();

const userValidationRules = checkSchema({
  // name: {
  //   isLength: {
  //     options: { min: 2 },
  //     errorMessage: "Name must be at least 2 characters long",
  //   },
  // },
  // phone: {
  //     isMobilePhone: {
  //       errorMessage: "Please provide mobile phone number",
  //     },
  //   },
  email: {
    isEmail: true,
    errorMessage: "Please provide a valid email address",
  },
  password: {
    isLength: {
      options: { min: 6 },
      errorMessage: "Password must be at least 6 characters long",
    },
  },
});
module.exports = userValidationRules;

const resetPasswordValidation = [
  body("password")
    .isLength({ min: 6 })
    .withMessage("Password must be at least 6 characters long"),
];

router.post("/login", login);
router.get("/:token", verifyLink);
router.post("/forgotpassword", forgotPassword);
router.get("/verify/:id/:token", verifyEmailController);
router.post("/regenerate", tokenController.regenerateToken);
router.post("/signup", userValidationRules, signUpController);
router.post("/sendemail", sendVerificationEmail);
router.post("/resetpassword/:token", resetPasswordValidation, resetPassword);
router.post("/enquiry",enquiry)

module.exports = router;
