const express = require("express");
const router = express.Router();
const multer = require("multer");
const createFreelanceDoctor = require("../controllers/Freelancedoctor/create");
const getAllFreelanceDoctor = require("../controllers/Freelancedoctor/get");
const getFreelanceDoctorById = require("../controllers/Freelancedoctor/getid");
const updateFreelanceDoctor = require("../controllers/Freelancedoctor/update");
const deleteFreelanceDoctor = require("../controllers/Freelancedoctor/delete");

const storage = multer.diskStorage({
  destination: function (req, file, cb) {
    cb(null, "public/images");
  },
  filename: function (req, file, cb) {
    cb(null, Date.now() + "-" + file.originalname);
  },
});
const upload = multer({ storage: storage });

router.post("/", upload.single("certificationDocument"), createFreelanceDoctor);
router.get("/", getAllFreelanceDoctor);
router.get("/:id", getFreelanceDoctorById);
router.put(
  "/:id",
  upload.single("certificationDocument"),
  updateFreelanceDoctor
);
router.delete("/:id", deleteFreelanceDoctor);

module.exports = router;
