const express = require("express");
const router = express.Router();
const multer = require("multer");
const createInsurance = require("../controllers/Insurance/create");
const getAllInsurances = require("../controllers/Insurance/get");
const getInsurance = require("../controllers/Insurance/getId");
const updateInsuranceById = require("../controllers/Insurance/update");
const deleteInsurance = require("../controllers/Insurance/delete");
const toggleStatus = require("../controllers/Insurance/toggleStatus");
// const favorite = require("../controllers/AirAmbulance/favorite");
// const unfavorite = require("../controllers/AirAmbulance/unfavorite");
// const review=require("../controllers/AirAmbulance/createReview")

const fs = require("fs");
const storage = multer.diskStorage({
  destination: function (req, file, cb) {
    const pathName = "public/uploads/insurances";
    if (!fs.existsSync(pathName)) {
      fs.mkdirSync(pathName, { recursive: true });
    }
    cb(null, pathName);
  },
  filename: function (req, file, cb) {
    console.log(Date.now() + "-" + file.originalname);
    cb(null, `${Date.now().toString()}-${file.originalname}`);
  },
});
const upload = multer({ storage: storage });

router.post("/add", upload.single("image"), createInsurance);
router.get("/", getAllInsurances);
router.get("/:id", getInsurance);
router.patch("/:id", toggleStatus);
router.put("/update/:id", upload.single("image"), updateInsuranceById);
router.delete("/delete/:id", deleteInsurance);

// router.post("/favorite/:id", favorite.favoriteAirAmbulance);
// router.post("/unfavorite/:id", unfavorite.unfavoriteAirAmbulance);

// router.post("/review/:id",review.createReview)
module.exports = router;
