const express = require("express");
const router = express.Router();
const multer = require("multer");
const createMedicalExpress = require("../controllers/MedicalExpress/create");
const getAllMedicalExpresses = require("../controllers/MedicalExpress/get");
const getMedicalExpressById = require("../controllers/MedicalExpress/getid");
const updateMedicalExpressById = require("../controllers/MedicalExpress/update");
const deleteMedicalExpressById = require("../controllers/MedicalExpress/delete");
const toggleStatus = require("../controllers/MedicalExpress/toggleStatus");
const favorite = require("../controllers/MedicalExpress/favorite");
const unfavorite = require("../controllers/MedicalExpress/unfavorite");
const review=require("../controllers/MedicalExpress/createReview")
const fs = require("fs");
const storage = multer.diskStorage({
  destination: function (req, file, cb) {
    const pathName = "public/uploads/medicals";
    if (!fs.existsSync(pathName)) {
      fs.mkdirSync(pathName, { recursive: true });
    }
    cb(null, pathName);
  },
  filename: function (req, file, cb) {
    console.log(Date.now() + "-" + file.originalname);
    cb(null, `${Date.now().toString()}-${file.originalname}`);
  },
});
const upload = multer({ storage: storage });

router.post("/add", upload.single("image"), createMedicalExpress);
router.get("/", getAllMedicalExpresses);
router.get("/:id", getMedicalExpressById);
router.patch("/:id", toggleStatus);
router.put("/update/:id", upload.single("image"), updateMedicalExpressById);
router.delete("/delete/:id", deleteMedicalExpressById);

router.post("/favorite/:id", favorite.favoriteMedicalExpress);
router.post("/unfavorite/:id", unfavorite.unfavoriteMedicalExpress);

router.post("/review/:id",review.createReview)

module.exports = router;
